### Method

# Ide LspCodeActionProvider get_diagnostics

#### Declaration

    IdeDiagnostics*
    ide_lsp_code_action_provider_get_diagnostics (
      IdeLspCodeActionProvider* self
    )

#### Description

Gets the diagnostics to use for the code action query.

Gets property | `Ide.LspCodeActionProvider:diagnostics`

#### Return value

Returns: | `IdeDiagnostics`
| An `IdeDiagnostics` or `NULL`.
| The data is owned by the instance.
| The return value can be `NULL`.